=== debian/changelog ===
gl4es (0+v1.1.4+153+gc82889c-v1.1.4+173+gef9171e) unstable; urgency=medium

  * WIP: debian: Release 0+v1.1.4+153+gc82889c-v1.1.4+173+gef9171e
    (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 03 Feb 2021 00:50:49 +0100

gl4es (0+v1.1.4+153+gc82889c-v1.1.4+171+g67f716c) unstable; urgency=medium

  * WIP: debian: Release 0+v1.1.4+153+gc82889c-v1.1.4+171+g67f716c
    (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 03 Feb 2021 00:38:55 +0100

gl4es (0.v1.1.4+4+g68cd0cc-16) unstable; urgency=medium

  * debian: WIP: Release 0.v1.1.4+4+g68cd0cc-16 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 01 Jul 2020 10:15:18 +0200

gl4es (0.v1.1.4+4+g68cd0cc-13) unstable; urgency=medium

  * debian: WIP: Release 0.v1.1.4+4+g68cd0cc-13 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 01 Jul 2020 09:58:08 +0200

gl4es (0.v1.1.4+4+g68cd0cc-11) unstable; urgency=medium

  * debian: WIP: Release 0.v1.1.4+4+g68cd0cc-11 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 01 Jul 2020 09:53:54 +0200

gl4es (0.v1.1.4+4+g68cd0cc-9) unstable; urgency=medium

  * debian: WIP: Release 0.v1.1.4+4+g68cd0cc-9 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 01 Jul 2020 09:44:10 +0200

gl4es (0.v1.1.4+3+g68d5221-5) unstable; urgency=medium

  * debian: WIP: Release 0.v1.1.4+3+g68d5221-5 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 01 Jul 2020 08:53:01 +0200

gl4es (0.v1.1.4+3+g68d5221-3) unstable; urgency=medium

  * debian: WIP: Release 0.v1.1.4+3+g68d5221-3 (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Tue, 30 Jun 2020 23:20:13 +0200

gl4es (0.0.0-0) unstable; urgency=medium

  * wip:
    https://launchpad.net/~rzr/+archive/ubuntu/snapshot/+packages#${pack
    age}

 -- Philippe Coval <rzr@users.sf.net>  Tue, 30 Jun 2020 23:19:15 +0200

gl4es (0.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@users.sf.net>  Fri, 19 Jun 2020 01:41:21 +0200
