=== debian/control ===
Source: gl4es
Priority: optional
Maintainer: Philippe Coval <rzr@users.sf.net>
Build-Depends: debhelper-compat (= 12),
	       cmake,
	       libdrm-dev,
	       libegl-dev | libglvnd-dev,
	       libgbm-dev,
	       libx11-dev,
	       pkg-config
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/ptitSeb/gl4es/
#Vcs-Browser: https://salsa.debian.org/debian/gl4es
#Vcs-Git: https://salsa.debian.org/debian/gl4es.git

Package: gl4es-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gl4es0 (= ${binary:Version}), ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: gl4es0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GL4ES - OpenGL for GLES Hardware
 <insert long description, indented with spaces>

Package: gl4es-snapshot
Architecture: all
Section: utils
Depends: ${misc:Depends}, gl4es (= ${source:Version})
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade gl4es
