## gl4es 1.1.4%2B1gitb086fb1c

=== debian/changelog ===
gl4es (1.1.4+1gitb086fb1c) unstable; urgency=medium

  * Use git version
    - commit b086fb1c95cedab97243c221e5c31c5a67b2b59b
  * trans format 3.0 (quilt) to 3.0 (native)

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 08 Oct 2023 22:20:52 +0800

gl4es (1.1.4-1) unstable; urgency=medium

  * Initial release 

 -- licheng <shiptux@gmail.com>  Fri, 30 Jul 2021 14:53:15 +0800
