## gl4es 1.1.6+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,6 @@
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/bin)
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/lib)
 set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/lib)
-
-set(CMAKE_SKIP_INSTALL_RPATH ON)
-set(CMAKE_SKIP_RPATH ON)
 
 link_directories(${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
