=== debian/changelog ===
gl4es (1.1.6+ds-2) unstable; urgency=medium

  * update autopkgtest. (Closes: #1072549)

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 06 Jun 2024 14:55:41 +0800

gl4es (1.1.6+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1035566)

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 30 Jul 2021 14:53:15 +0800
