=== debian/control ===
Source: gl4es
Section: libs
Priority: optional
Maintainer: Bo YU <tsu.yubo@gmail.com>
Uploaders:
 licheng <shiptux@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 11),
 cmake,
 libx11-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/ptitSeb/gl4es
Vcs-Git: https://salsa.debian.org/vimerbf-guest/gl4es.git
Vcs-Browser: https://salsa.debian.org/vimerbf-guest/gl4es
Rules-Requires-Root: no

Package: libgl4es0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: GL4ES - OpenGL for GLES Hardware -- runtime library
 This is a library provide OpenGL 2.x functionality for GLES2.0 accelerated
 Hardware (and of course also support OpenGL 1.5 function, so metimes better
 than when using GLES 1.1 backend) There is also support for GLES 1.1 Hardware,
 emulating OpenGL 1.5, and some OpenGL 2.x + extensions.
 .
 This package contains the shared libraries.

Package: libgl4es-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl4es0 (= ${binary:Version}),
Description: GL4ES - OpenGL for GLES Hardware -- development files
 This is a headers provide OpenGL 2.x functionality for GLES2.0 accelerated
 Hardware (and of course also support OpenGL 1.5 function, so metimes better
 than when using GLES 1.1 backend) There is also support for GLES 1.1 Hardware,
 emulating OpenGL 1.5, and some OpenGL 2.x + extensions.
 .
 This package contains the development files.
