=== debian/tests/control ===
Tests: link
Depends: libgl4es0, libgl4es-dev, gcc, libc-bin, libc6-dev 
Restrictions: allow-stderr, needs-root
