=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//, \
   repacksuffix=+ds, repack, \
   filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ptitSeb/gl4es/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
